package com.rf.kjb.intelligentDialogue.dao.domain;

import com.rf.kjb.base.model.BaseEntry;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Author:zzf
 * @Date:2023/9/14:15:19
 * @Description:
 */
@Entity
@Data
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_intelligent_dialogue")
@org.hibernate.annotations.Table(appliesTo = "t_intelligent_dialogue", comment = "智能对话记录表")
public class IntelligentDialogueEntity extends BaseEntry {
    @Column(name = "user_name",columnDefinition = "varchar(50) not null comment '用户名'")
    private String userName;

    @Column(name = "identifier" ,columnDefinition = "varchar(20) not null  comment '用户编号'")
    private String identifier;

    @Column(name = "label",columnDefinition = "varchar(2) not null comment '对话分类：0-问；1-答'")
    private String label;

    @Column(name = "content",columnDefinition = "varchar(500) not null comment '对话内容'")
    private String content;
}
